package com.heyu.api.data.dao.mobile;
/**
* <p>
* 手机号码校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.mobile.MobileCheckDataEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface MobileCheckDataDao extends BaseMapper<MobileCheckDataEntity> {


	MobileCheckDataEntity selectMobileCheckDataById(@Param("id")Long id);


	Long insertMobileCheckData(MobileCheckDataEntity mobileCheckData);


	Long insertOrUpdateMobileCheckData(MobileCheckDataEntity mobileCheckData);


	int updateMobileCheckDataById(MobileCheckDataEntity mobileCheckData);


	int updateCoverMobileCheckDataById(MobileCheckDataEntity mobileCheckData);


	int deleteMobileCheckDataById(@Param("id")Long id);


}